summaryrefslogtreecommitdiff
path: root/scripts/checkperl.sh
diff options
context:
space:
mode:
authoradmin (centauri.fritz.box) <puppet@mx.buetow.org>2014-06-30 23:29:37 +0200
committeradmin (centauri.fritz.box) <puppet@mx.buetow.org>2014-06-30 23:29:37 +0200
commit751eada68e49f9ffae9a0be743d88a3ce956883f (patch)
tree153d0a87fbe67911da4fde73e327b272b437c156 /scripts/checkperl.sh
parent002c8534bfe2c266959dd42c9c71c17182977d87 (diff)
parentdee37a84ae65ba8bd1e0dab6132955bbc195fa57 (diff)
Merge remote-tracking branch 'remotes/github/0.7' into 0.70.7@210.7
Diffstat (limited to 'scripts/checkperl.sh')
-rwxr-xr-xscripts/checkperl.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/scripts/checkperl.sh b/scripts/checkperl.sh
new file mode 100755
index 0000000..fa5e98f
--- /dev/null
+++ b/scripts/checkperl.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+# The yChat Project (2005)
+#
+# This scripts checks for a perl installation
+
+if ! which perl >/dev/null
+then
+ echo You need to have Perl in your PATH!
+ exit 1
+fi
+
+echo Using `which perl`
+exit 0